org.apache.ignite.internal.cluster

## Class ClusterGroupEmptyCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.cluster.ClusterTopologyCheckedException
        - - org.apache.ignite.internal.cluster.ClusterGroupEmptyCheckedException

All Implemented Interfaces:
  Serializable

    public class ClusterGroupEmptyCheckedException
    extends ClusterTopologyCheckedException

This exception defines illegal call on empty projection. Thrown by projection when operation that requires at least one node is called on empty projection.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClusterGroupEmptyCheckedException()` Creates new exception with default error message.
`ClusterGroupEmptyCheckedException(String msg)` Creates new exception with given error message.
`ClusterGroupEmptyCheckedException(String msg, @Nullable Throwable cause)` Creates a new exception with given error message and optional nested cause exception.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.cluster.ClusterTopologyCheckedException

`retryReadyFuture, retryReadyFuture`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClusterGroupEmptyCheckedException

    public ClusterGroupEmptyCheckedException()

Creates new exception with default error message.

#### ClusterGroupEmptyCheckedException

    public ClusterGroupEmptyCheckedException(String msg)

Creates new exception with given error message.

Parameters:
  `msg` - Error message.

#### ClusterGroupEmptyCheckedException

    public ClusterGroupEmptyCheckedException(String msg,
                                             @Nullable
                                             @Nullable Throwable cause)

Creates a new exception with given error message and optional nested cause exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021